MultiPointSender (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.transport, interface: MultiPointSender

# Interface MultiPointSender

All Superinterfaces:
  `DataSender`

All Known Implementing Classes:
  `MultipointBioSender, ParallelNioSender, PooledMultiSender, PooledParallelSender, PooledSender`

public interface MultiPointSender extends DataSender

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Member member)`
  Send to the specified member.
  `void`
  `remove(Member member)`
  Stop sending to the specified member.
  `void`
  `sendMessage(Member[] destination, ChannelMessage data)`
  Send the specified message.
  `void`
  `setDirectBuffer(boolean directBuf)`
  Configure the use of a direct buffer.
  `void`
  `setMaxRetryAttempts(int attempts)`
  Set the maximum retry attempts.

  ### Methods inherited from interface DataSender

  `connect, disconnect, getConnectTime, getRequestCount, isConnected, keepalive, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

- ## Method Details

  - ### sendMessage

    void sendMessage(Member[] destination, ChannelMessage data) throws ChannelException
    Send the specified message.
    Parameters:
      `destination` - the message destinations
      `data` - the data to send
    Throws:
      `ChannelException` - if an error occurs

  - ### setMaxRetryAttempts

    void setMaxRetryAttempts(int attempts)
    Set the maximum retry attempts.
    Parameters:
      `attempts` - the retry count

  - ### setDirectBuffer

    void setDirectBuffer(boolean directBuf)
    Configure the use of a direct buffer.
    Parameters:
      `directBuf` - `true` to use a direct buffer

  - ### add

    void add(Member member)
    Send to the specified member.
    Parameters:
      `member` - the member

  - ### remove

    void remove(Member member)
    Stop sending to the specified member.
    Parameters:
      `member` - the member